# DesmondDMSFile Class Reference

DesmondDMSFile parses a Desmond DMS (desmond molecular system) and constructs a topology and (optionally) an OpenMM System from it. More...

List of all members.

## Public Member Functions

def | __init__
| Load a DMS file.
def | getPositions
| Get the positions of each atom in the system.
def | getTopology
| Get the topology of the system.
def | getProvenance
| Get the provenance string of this system.
def | createSystem
| Construct an OpenMM System representing the topology described by this dms file.
def | close
| Close the SQL connection.
def | __del__

## Public Attributes

| provenance
| positions

## Detailed Description

DesmondDMSFile parses a Desmond DMS (desmond molecular system) and constructs a topology and (optionally) an OpenMM System from it.

## Member Function Documentation

def __del__ | ( |  | self | ) |

def __init__ | ( |  | self,
|  |  | file |
| ) |  |  |

Load a DMS file.

Parameters:

  | file | (string) the name of the file to load

def close | ( |  | self | ) |

Close the SQL connection.

def createSystem | ( |  | self,
|  |  | nonbondedMethod = `ff.NoCutoff`,
|  |  | nonbondedCutoff = `1.0*nanometer`,
|  |  | ewaldErrorTolerance = `0.0005`,
|  |  | removeCMMotion = `True`,
|  |  | hydrogenMass = `None` |
| ) |  |  |

Construct an OpenMM System representing the topology described by this dms file.

Parameters:

  | nonbondedMethod | (object=NoCutoff) The method to use for nonbonded interactions. Allowed values are NoCutoff, CutoffNonPeriodic, CutoffPeriodic, Ewald, or PME.
  | nonbondedCutoff | (distance=1*nanometer) The cutoff distance to use for nonbonded interactions
  | ewaldErrorTolerance | (float=0.0005) The error tolerance to use if nonbondedMethod is Ewald or PME.
  | removeCMMotion | (boolean=True) If true, a CMMotionRemover will be added to the System
  | hydrogenMass | (mass=None) The mass to use for hydrogen atoms bound to heavy atoms. Any mass added to a hydrogen is subtracted from the heavy atom to keep their total mass the same.

def getPositions | ( |  | self | ) |

Get the positions of each atom in the system.

def getProvenance | ( |  | self | ) |

Get the provenance string of this system.

def getTopology | ( |  | self | ) |

Get the topology of the system.

## Member Data Documentation

positions

provenance

The documentation for this class was generated from the following file:

- desmonddmsfile.py